org.apache.fop.image.loader.batik

## Class PreloaderWMF

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
  - - org.apache.fop.image.loader.batik.PreloaderWMF

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.spi.ImagePreloader

      public class PreloaderWMF
      extends org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

  Image preloader for WMF images (Windows Metafile).

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImagePreloader

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreloaderWMF()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlgraphics.image.loader.ImageInfo` | `preloadImage(String uri, Source src, org.apache.xmlgraphics.image.loader.ImageContext context)`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

      `getHeader, getPriority`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreloaderWMF

          public PreloaderWMF()

  - ### Method Detail

    - #### preloadImage

          public org.apache.xmlgraphics.image.loader.ImageInfo preloadImage(String uri,
                                                                            Source src,
                                                                            org.apache.xmlgraphics.image.loader.ImageContext context)
                                                                     throws IOException

      Throws:
        `IOException`

Copyright © 2023 Apache Software Foundation. All rights reserved.